@mixin border-radius($radius) {
  -webkit-border-radius: $radius;
     -moz-border-radius: $radius;
      -ms-border-radius: $radius;
          border-radius: $radius;
}

@mixin border-top-radius($radius) {
  -webkit-border-top-right-radius: $radius;
  border-top-right-radius: $radius;
   -webkit-border-top-left-radius: $radius;
   border-top-left-radius: $radius;
   background-clip: padding-box;
}
@mixin border-right-radius($radius) {
  -webkit-border-bottom-right-radius: $radius;
  border-bottom-right-radius: $radius;
     -webkit-border-top-right-radius: $radius;
     border-top-right-radius: $radius;
     background-clip: padding-box;
}
@mixin border-bottom-radius($radius) {
  -webkit-border-bottom-right-radius: $radius;
  border-bottom-right-radius: $radius;
   -webkit-border-bottom-left-radius: $radius;
   border-bottom-left-radius: $radius;
   background-clip: padding-box;
}
@mixin border-left-radius($radius) {
  -webkit-border-bottom-left-radius: $radius;
  border-bottom-left-radius: $radius;
     -webkit-border-top-left-radius: $radius;
     border-top-left-radius: $radius;
     background-clip: padding-box;
}

@mixin border-radii($topleft, $topright, $bottomright, $bottomleft) {
  border-top-left-radius: $topleft;
  border-top-right-radius: $topright;
  border-bottom-right-radius: $bottomright;
  border-bottom-left-radius: $bottomleft;
  -webkit-border-top-left-radius: $topleft;
  -webkit-border-top-right-radius: $topright;
  -webkit-border-bottom-right-radius: $bottomright;
  -webkit-border-bottom-left-radius: $bottomleft;
  -moz-border-radius-topleft: $topleft;
  -moz-border-radius-topright: $topright;
  -moz-border-radius-bottomright: $bottomright;
  -moz-border-radius-bottomleft: $bottomleft;
}

@mixin box-shadow( $horiz  , $vert  , $blur  , $spread , $color : #000000 ){
  -webkit-box-shadow: $horiz $vert $blur $spread $color;
  -moz-box-shadow: $horiz $vert $blur $spread $color;
  box-shadow: $horiz $vert $blur $spread $color;
}


@mixin box-shadow($left, $top, $radius, $color) {
  box-shadow: $left $top $radius $color;
  -webkit-box-shadow: $left $top $radius $color;
  -moz-box-shadow: $left $top $radius $color;
}

@mixin transition($property, $duration, $easing: linear) {
  transition: $property $duration $easing;
  -webkit-transition: $property $duration $easing;
  -moz-transition: $property $duration $easing;
}


@mixin gradient($color1, $color2) {
  background-color: $color1;
  filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#{$color1}, endColorstr=#{$color2});
  background-image: -moz-linear-gradient(center top, $color1, $color2);
  background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from($color1), to($color2));
}

@mixin nowrap ($width){
  max-width: $width;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

// @mixin translate($x, $y) {
//   -webkit-transform: translate($x, $y);
//       -ms-transform: translate($x, $y); // IE9 only
//       -o-transform: translate($x, $y);
//       transform: translate($x, $y);
// }

// @mixin rotate( $val: -2deg ) {
//   -webkit-transform: rotate($val);
//   -moz-transform: rotate($val);
//   -ms-transform: rotate($val);
//   -o-transform: rotate($val);
//   transform: rotate($val);
// }


//for one side skeew

// @mixin angle-edge($pos-top:null, $angle-top:null, $pos-btm:null, $angle-btm:null){
//   width: 100%;
//   position: relative;
//   background: linear-gradient(to right, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
//   &::before,
//   &::after{
//     content: '';
//     width: 100%;
//     height: 100%;
//     position: absolute;
//     background: inherit;
//     z-index: -1;
//     transition: ease all .5s;
//   }
 
//   @if $pos-top{
//     &::before{
//       @if $pos-top == 'topleft'{
//         top: 0;
//         transform-origin: right top;
//         transform: skewY($angle-top);
//       }
//       @if $pos-top == 'topright' {
//         top: 0;
//         transform-origin: left top;
//         transform: skewY(-$angle-top);
//       } 
//     }
//   }
 
//   @if $pos-btm{
//     &::after{
//       @if $pos-btm == 'bottomleft' {
//         bottom: 0;
//         transform-origin: right bottom;
//         transform: skewY(-$angle-btm);
 
//       } 
 
//       @if $pos-btm == 'bottomright' {
//         bottom: 0;
//         transform-origin: left bottom;
//         transform: skewY($angle-btm);
//       } 
//     }
//   }
// }

// //end one side skewed edge



// Browser Prefixes
@mixin transform($transforms) {
  -webkit-transform: $transforms;
  -moz-transform: $transforms;
  -ms-transform: $transforms;
  transform: $transforms;
}

// Rotate
@mixin rotate ($deg) { 
  @include transform(rotate(#{$deg}deg));
}

// Scale
@mixin scale($scale) {
  @include transform(scale($scale));
}

// Translate
@mixin translate ($x, $y) {
  @include transform(translate($x, $y));
}

// Skew
@mixin skew ($x, $y) {
  @include transform(skew(#{$x}deg, #{$y}deg));
}

// Transform Origin
@mixin transform-origin ($origin) {
      -webkit-transform-origin: $origin;
      -moz-transform-origin: $origin;
  -ms-transform-origin: $origin;
  transform-origin: $origin;
}

// CLEARFIX
@mixin clearfix() {
    &:before,
        &:after {
        content: " "; // 1
        display: table; // 2
    }
    &:after {
        clear: both;
    }
}

@mixin centerer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width:auto;
}

